using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Consola : MonoBehaviour {

    public Transform radarSolo;
    public Transform radarTeclas;
    public Transform macheteBinario;
    public Transform botoneraTeclas;
    public Transform indicadorBinario;
    public InputTeclas iTeclas;
    public InputBinario iBinario;

    private void Awake()
    {
        DesactivarModos();
    }

    public void DesactivarModos()
    {
        modoInicial = true;
        modoTeclas = false;
        modoBinario = false;
    }

    public void IniciarModoTeclas()
    {
        modoInicial = false;
        modoTeclas = true;
        modoBinario = false;
    }

    public void IniciarModoBinario()
    {
        modoInicial = false;
        modoTeclas = false;
        modoBinario = true;
    }

    private bool modoInicial
    {
        set
        {

        }
    }

    private bool modoTeclas
    {
        set
        {
            iTeclas.enabled = value;
            radarTeclas.gameObject.SetActive(value);
            botoneraTeclas.gameObject.SetActive(value);
        }
    }

    private bool modoBinario
    {
        set
        {
            iBinario.enabled = value;
            radarSolo.gameObject.SetActive(value);
            macheteBinario.gameObject.SetActive(value);
            indicadorBinario.gameObject.SetActive(value);
        }
    }
}
